Bug 720818 - Review Request: python-tw2-core - Web widget creation toolkit based on TurboGears widgets
Summary: Review Request: python-tw2-core - Web widget creation toolkit based on TurboG...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ryan H. Lewis (rhl)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 720813
Blocks: 811689 811759 818293
TreeView+ depends on / blocked
 
Reported: 2011-07-12 21:11 UTC by Luke Macken
Modified: 2017-02-08 13:52 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-05-22 15:35:26 UTC
me: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2011-07-12 21:11:41 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-tw2.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-tw2-2.0-0.1.b6.fc15.src.rpm
Description:
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

The tw2.core package is lightweight and intended for run-time use only;
development tools are in tw2.devtools.

Comment 1 Ralph Bean 2012-04-04 23:40:23 UTC
I'm the upstream for tw2.core.  Since there are so many tw2.* packages, it makes sense for core to be explicitly named python-tw2-core in Fedora.

Here I've updated the spec to include running the unit tests and have updated it for the latest 2.0.1 release of tw2.core.

Spec URL: http://threebean.org/rpm/python-tw2-core.spec
SRPM URL: http://threebean.org/rpm/python-tw2-core-2.0.1-1.src.rpm
Description:
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

The tw2.core package is lightweight and intended for run-time use only;
development tools are in tw2.devtools.

koji-f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=3964429
koji-el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=3964440

The el6-candidate scratch build fails due to python-strainer.  It would need to be packaged for el6 to move forwards there.

Comment 2 Luke Macken 2012-04-04 23:55:50 UTC
(In reply to comment #1)
> koji-el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=3964440
> 
> The el6-candidate scratch build fails due to python-strainer.  It would need to
> be packaged for el6 to move forwards there.

Done. https://admin.fedoraproject.org/updates/python-strainer-0.1.4-2.el6

Comment 3 Ralph Bean 2012-04-10 19:42:51 UTC
Just updated the spec again for an upstream release of tw2.core.
Also added the %{?dist} macro to the Release attribute.

Spec URL: http://threebean.org/rpm/python-tw2-core.spec
SRPM URL: http://threebean.org/rpm/python-tw2-core-2.0.2-1.src.rpm

Comment 4 Ralph Bean 2012-04-10 19:46:30 UTC
Whoops.  I mis-pasted the link to the SRPM.

Spec URL: http://threebean.org/rpm/python-tw2-core.spec
SRPM URL: http://threebean.org/rpm/python-tw2-core-2.0.2-1.fc17.src.rpm

Comment 5 Ralph Bean 2012-04-11 18:02:06 UTC
Another update, now to version 2.0.3 which includes upstream changes that fix rpmlint complaints.  This is documented in the .spec changelog.

Spec URL: http://threebean.org/rpm/python-tw2-core.spec
SRPM URL: http://threebean.org/rpm/python-tw2-core-2.0.3-1.fc17.src.rpm

Comment 6 Ralph Bean 2012-04-16 22:37:41 UTC
Another update, now to version 2.0.4 which includes better support for the test suite on python2.6 and support for older versions of python-simplejson.

Spec URL: http://threebean.org/rpm/python-tw2-core.spec
SRPM URL: http://threebean.org/rpm/python-tw2-core-2.0.4-1.fc17.src.rpm

Comment 7 Ralph Bean 2012-04-25 01:01:20 UTC
Here is the rpmlint output:

 % find . -name "python-tw2-core*"
./RPMS/noarch/f17/python-tw2-core-2.0.4-1.fc17.noarch.rpm
./SPECS/python-tw2-core.spec
./SRPMS/python-tw2-core-2.0.4-1.fc17.src.rpm

 % find . -name "python-tw2-core*" -exec rpmlint {} \;
python-tw2-core.noarch: W: spelling-error %description -l en_US devtools -> toadstools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
python-tw2-core.src: W: spelling-error %description -l en_US devtools -> toadstools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 8 Ryan H. Lewis (rhl) 2012-04-25 01:42:08 UTC
Ralph since I don't think I can give formal reviews, here is review, aided by fedora-review software:

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[?]: MUST Package does not generate any conflict.
[?]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-tw2-core-2.0.4-1.fc18.src.rpm

python-tw2-core.src: W: spelling-error %description -l en_US devtools -> toadstools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-tw2-core-2.0.4-1.fc18.noarch.rpm

python-tw2-core.noarch: W: spelling-error %description -l en_US devtools -> toadstools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/rhl/720818/tw2.core-2.0.4.tar.gz :
  MD5SUM this package     : 5b19c7cedb9d0b700244ac6f92eed3ac
  MD5SUM upstream package : 5b19c7cedb9d0b700244ac6f92eed3ac

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[?]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[?]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[?]: SHOULD Latest version is packaged.
[?]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[?]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[?]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
-----------------------------------------------

We should check on the precise requirements for EPEL and buildroot, since, those are generated automagically by fedora-review. It looks like there are a lot of -docs? If a -docs is not justified, then we can obviously change this.

Comment 9 Ryan H. Lewis (rhl) 2012-04-25 01:43:19 UTC
oh, and make sure to post your latest succesful koji builds.

Comment 10 Ralph Bean 2012-04-25 02:27:41 UTC
Here's the latest revision.  It packages a new upstream version of tw2.core and fixes the issues you listed.  The Buildroot has been removed.  The %clean section has been removed, the %defattr is removed and the removal of buildroot at the beginning of %install has been removed.

Spec URL: http://threebean.org/rpm/python-tw2-core.spec
SRPM URL: http://threebean.org/rpm/python-tw2-core-2.0.5-1.fc17.src.rpm

koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4020626
koji - el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4020627

Comment 11 Ryan H. Lewis (rhl) 2012-04-28 23:43:54 UTC
Formal Review

This package is approved!

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-tw2-core-2.0.4-1.fc18.src.rpm

python-tw2-core.src: W: spelling-error %description -l en_US devtools ->
toadstools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-tw2-core-2.0.4-1.fc18.noarch.rpm

python-tw2-core.noarch: W: spelling-error %description -l en_US devtools ->
toadstools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/rhl/720818/tw2.core-2.0.4.tar.gz :
  MD5SUM this package     : 5b19c7cedb9d0b700244ac6f92eed3ac
  MD5SUM upstream package : 5b19c7cedb9d0b700244ac6f92eed3ac

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[?]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[?]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[?]: SHOULD Latest version is packaged.
[?]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[?]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[?]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Comment 12 Ralph Bean 2012-04-29 00:45:00 UTC
New Package SCM Request
=======================
Package Name: python-tw2-core
Short Description: Web widget creation toolkit based on TurboGears widgets
Owners: ralph lmacken
Branches: f17 el6
InitialCC:

Comment 13 Gwyn Ciesla 2012-04-29 20:53:03 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-04-30 02:31:49 UTC
python-tw2-core-2.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-core-2.0.5-1.fc17

Comment 15 Fedora Update System 2012-04-30 02:41:05 UTC
python-tw2-core-2.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-core-2.0.5-1.el6

Comment 16 Fedora Update System 2012-04-30 18:32:26 UTC
python-tw2-core-2.0.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 17 Fedora Update System 2012-05-22 15:35:26 UTC
python-tw2-core-2.0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2012-05-26 07:17:27 UTC
python-tw2-core-2.0.5-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 19 Ralph Bean 2014-11-12 20:24:28 UTC
Package Change Request
======================
Package Name: python-tw2-core
New Branches: epel7
Owners: ralph
InitialCC:

Comment 20 Gwyn Ciesla 2014-11-12 22:07:10 UTC
Git done (by process-git-requests).

Comment 21 Ralph Bean 2017-02-08 13:52:43 UTC
Package request has been approved: https://admin.stg.fedoraproject.org/pkgdb/package/modules/memcached


Note You need to log in before you can comment on or make changes to this bug.